#ifndef __LEPRECHAUN_H__
#define __LEPRECHAUN_H__

#include "enemy.h"

class leprechaun final: public enemy_base {
        static const int STEAL_GOLD = 3;
        static const int BOOSTED_ATK = 50;
        static const int STARTING_GOLD = 5;
        int gold_cnt;
public:
        leprechaun(RNG *rng, const feature enabled_features, const position &pos,
                   const int gen_room_num);
        const char *get_race_name() const override;
        long_result attack(character *ch) override;
        int dies(level *lvl) override;
};

#endif
